package com.fdkankan.platform.order.service;

import com.fdkankan.platform.order.entity.OrderItem;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fdkankan.platform.user.vo.ResponseOrderItem;

import java.util.List;

/**
 * <p>
 * 订单项表 服务类
 * </p>
 *
 * @author 
 * @since 2021-12-24
 */
public interface IOrderItemService extends IService<OrderItem> {

    List<ResponseOrderItem> getByOrderId(Long orderId);

    Integer getCountByOrderIdAndShipped(Long orderId, String name);

    Integer getCountByOrderId(Long orderId);
}
